Subject: Re: interesting behavior
From: Chris Faylor <[email-masked]>
To: Earnie Boyd <[email-masked]>
Cc: Eric Christopher <[email-masked]>, [email-masked]
Date: Thu, 9 Mar 2000 11:07:52 -0500

On Thu, Mar 09, 2000 at 07:11:54AM -0800, Earnie Boyd wrote:
>--- Eric Christopher <[email-masked]> wrote:
>> Okay.  Here's a new one.
>> 
>> I've got a directory structure / like this:
>> 
>> bin contrib etc home <few other things>
>> 
>> I decide to mount contrib to where it actually is:
>> 
>> 'mount g:\cygwin\contrib /contrib' 
>> 
>
>Umm... You're executing the command from bash.  The \ is used for character
>quoting so you end up with g:cygwincontrib as the source directory.  Just check
>the registry entry.  From bash you could use `mount g:/cygwin/contrib /contrib'
>instead.

Hey!  Good catch, Earnie!  I completely missed that.

>> (this didn't acutally do anything)
>> 
>
>It won't actually change anything when you get it correct either since
>g:\cygwin is mounted as /.  It might even cause Cygwin to be slower since it
>adds to the hashing levels.

Actually, it might be a little faster depending on the size of the mount
table since the table is not hashed.  It is sorted in reverse length order
so '/' is always matched last.

cgf

--
Want to unsubscribe from this list?
Send a message to [email-masked]